geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Jencks (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (GERONIMO-5280) geronimo-jaspi jaspic provider won't work well under osgi
Date Tue, 08 May 2012 16:13:49 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-5280?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Jencks resolved GERONIMO-5280.
------------------------------------

    Resolution: Fixed

This is fixed at least in the jaspi component  2.0.0
                
> geronimo-jaspi jaspic provider won't work well under osgi
> ---------------------------------------------------------
>
>                 Key: GERONIMO-5280
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-5280
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: security
>    Affects Versions: 3.0
>            Reporter: David Jencks
>            Assignee: David Jencks
>             Fix For: 3.0
>
>
> The original geronimo-jaspi provider tried to use a "ClassLoaderLookup" to identify the
classloader to use for loading auth modules.  I never actually got this to work well and it
is pretty anti-osgi.  Instead we can use Rick's ProviderLocator from the specs.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message